Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.button
Class NavigationButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.base.client.button.SimpleButton
                      org.eclipse.higgins.ics.gwt.base.client.button.DialogButton
                          org.eclipse.higgins.ics.gwt.base.client.button.NavigationButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, INavigationButton

public class NavigationButton
extends DialogButton
implements INavigationButton

Author:
  Alexander Yuhimenko

Field Summary

Fields inherited from interface org.eclipse.higgins.ics.gwt.base.client.button.INavigationButton
`LEFT_DIRECTION, RIGHT_DIRECTION`

Constructor Summary
`NavigationButton(String text, com.google.gwt.user.client.ui.ClickListener clickListener, String direction)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.button.DialogButton
`getStyleNameButton, getStyleNameButtonActive`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.button.SimpleButton
`addClickListener, getImageBorderRt, getImageBorderRtHover, getLayoutPanel, getMouseListener, getPanel, getText, getTooltip, setImageBorderRt, setImageBorderRtHover, setMouseListener, setText, setTooltip`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NavigationButton

    public NavigationButton(String text,
                            com.google.gwt.user.client.ui.ClickListener clickListener,
                            String direction)

Parameters:
  `text` -
  `clickListener` -
  `direction` -

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD